{% extends 'base_template.html' %}

{% load static %}

{% block meta %}
    <link rel="stylesheet" href="{% static 'css/matkul.css' %}">
    <title>Basyira Sabita</title>
{% endblock meta %}

{% block content %}
<div class="intro">
    <h1>Daftar Mata Kuliah</h1>
</div>
<div class="card">
    <div class="card-body">
        <div class="tables-responsive">
            <table class="table" id="data">
                <thead>
                    <tr>
                        <th>Mata Kuliah</th>
                        <th>Detail</th>
                        <th>Delete</th>       
                    </tr>
                </thead>
                <tbody>
                    {% csrf_token %}
                    {% for data in data %}
                    <tr>
                        <td>{{ data.nama_matkul }}</td>
                        <td><button type=submit><a href="{% url 'ppw_story5:detail_url' data.id %}">Detail</a></button></td>
                        <td>
                            <form method="POST" action="">
                                {% csrf_token %}
                                <input name="id" value="{{ data.id }}" type="hidden">
                                <button type="submit">Delete</button>
                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
        <a href="/add"><button class="btn btn-primary btn-lg btn-block">Tambah Mata Kuliah</button></a>
    </div>
</div>

{% endblock content %}